<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.security.security-domain.authentication.jaspi.auth-module">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="code,flag,login-module-stack-ref,module,module-options"/>
        <elem name="addr-params" value="profile,subsystem,security-domain,authentication,auth-module"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.security"/>
    </annotation>
    <refs>
        <ref feature="subsystem.security.security-domain.authentication.jaspi"/>
        <ref feature="subsystem.security.security-domain"/>
        <ref feature="subsystem.security"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="security-domain" feature-id="true"/>
        <param name="module-options" nillable="true"/>
        <param name="code"/>
        <param name="flag" nillable="true"/>
        <param name="module" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="auth-module" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="security"/>
        <param name="login-module-stack-ref" nillable="true"/>
        <param name="authentication" feature-id="true" default="jaspi"/>
    </params>
</feature-spec>